(function($){
	$.fn.Tabs=function(speed){
		return this.each(function(){
			var tabs=$(this),
				tabsLabels=tabs.children("ul"),
				tabLabel=tabsLabels.find("a"),
				tabsContent=tabs.children("div");
			if(!speed){
				speed=0; /* default transition speed */
			}
			if(tabsLabels.find(".active-tab").length===0){
				tabsLabels.children("li:first").addClass("active-tab");
				tabsContent.children("div:first").addClass("active-tab-content").fadeIn(speed); /* fade-in first tab */
			}else{
				var activeTabVal=tabsLabels.find(".active-tab a").attr("href");
				if(activeTabVal && activeTabVal!="#" && activeTabVal.substring(0)==="#" && tabsContent.find(activeTabVal).length!=0){
					tabsContent.find(activeTabVal).addClass("active-tab-content").fadeIn(speed); /* fade-in active tab */
				}else{
					tabsContent.children("div").eq(tabsLabels.find(".active-tab").index()).addClass("active-tab-content").fadeIn(speed);
				}
			}
			tabsContent.css({"height":tabs.find(".active-tab-content").outerHeight()});
			tabLabel.click(function(e){
				e.preventDefault();
				var tabLink=$(this),
					tabID=tabLink.attr("href"),
					targetTab,
					activeTab=tabsLabels.find(".active-tab"),
					activeTabContent=tabsContent.find(".active-tab-content");
				if(tabID && tabID!="#" && tabID.substring(0)==="#" && tabsContent.find(tabID).length!=0){
					targetTab=tabsContent.find(tabID);
				}else{
					tabID=tabLink.parent().index();
					targetTab=tabsContent.children("div").eq(tabID);
				}
				activeTabContent.stop().fadeOut(speed,function(){ /* fade-out current tab */
					activeTab.add(activeTabContent).removeClass("active-tab active-tab-content"); /* remove active tab */
					tabLink.parent().addClass("active-tab"); /* set active tab */
					targetTab.addClass("active-tab-content").css({"opacity":0,"display":"block"}); /* set active tab content */
					tabsContent.stop().animate({height:targetTab.outerHeight()},speed,function(){ /* animate height */
						targetTab.stop().animate({opacity:1},speed); /* fade-in active tab content */
					});
				});
			});
		});
	}
})(jQuery); 